

' Mini2440 Class - Version 0.1
' Written by Nicolas Gomez (Nicolas at Gomez dot CC)
'
' Copyright (c) Nicolas Gomez 2009
'
' You may use this in non-commercial projects only.
' Please contact me for other uses.
'
' Use:
'   This class provides methods to access the hardware on the Mini2440 hardware.
'
' Dependencies:
'   S3C2440 class.
'   
'
' Revision History
' - 0.1 - Initial Release. Control of LED's
'
'

Public Class Mini2440
    Inherits S3C2440


    Private Shared ledIOmap() = {0, GPIO_B5, GPIO_B6, GPIO_B7, GPIO_B8}   'map from led 1-4 to the io port bit on portb

    'Turn on an LED from 1 to 4. Correspond to LED1 thru LED4 on the Mini2440
    Public Shared Sub LedOn(ByVal led)
        If led > 4 OrElse led < 1 Then
            Return
        End If

        GPBDAT = GPBDAT And (Not (ledIOmap(led)))
    End Sub

    'Turn off an LED from 1 to 4. Correspond to LED1 thru LED4 on the Mini2440
    Public Shared Sub LedOff(ByVal led)
        If led > 4 OrElse led < 1 Then
            Return
        End If

        GPBDAT = GPBDAT Or ledIOmap(led)
    End Sub

    'Turn off all LED's on the board. LED1 thru LED4
    Public Shared Sub LedAllOff()
        GPBDAT = GPBDAT Or 480
    End Sub

    'Turn on all LED's on the board. LED1 thru LED4
    Public Shared Sub LedAllOn()
        GPBDAT = GPBDAT And (Not (GPIO_B5 Or GPIO_B6 Or GPIO_B7 Or GPIO_B8))
    End Sub
End Class
